# docker buildx history

<!---MARKER_GEN_START-->
Commands to work on build records

### Subcommands

| Name                                   | Description                    |
|:---------------------------------------|:-------------------------------|
| [`inspect`](buildx_history_inspect.md) | Inspect a build                |
| [`logs`](buildx_history_logs.md)       | Print the logs of a build      |
| [`ls`](buildx_history_ls.md)           | List build records             |
| [`open`](buildx_history_open.md)       | Open a build in Docker Desktop |
| [`rm`](buildx_history_rm.md)           | Remove build records           |


### Options

| Name            | Type     | Default | Description                              |
|:----------------|:---------|:--------|:-----------------------------------------|
| `--builder`     | `string` |         | Override the configured builder instance |
| `-D`, `--debug` | `bool`   |         | Enable debug logging                     |


<!---MARKER_GEN_END-->

